libmspub::PatternFill Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libmspub::PatternFill Class Reference

`#include <Fill.h>`

Inheritance diagram for libmspub::PatternFill:

## Public Member Functions
| PatternFill (unsigned imgIndex, const MSPUBCollector *owner, ColorReference fg, ColorReference bg)
void | getProperties (librevenge::RVNGPropertyList *out) const
Public Member Functions inherited from libmspub::ImgFill
| ImgFill (unsigned imgIndex, const MSPUBCollector *owner, bool isTexture, int rotation)
Public Member Functions inherited from libmspub::Fill
| Fill (const MSPUBCollector *owner)
virtual | ~Fill ()

## Private Member Functions
| PatternFill (const PatternFill &)
PatternFill & | operator= (const ImgFill &)

## Private Attributes
ColorReference | m_fg
ColorReference | m_bg

## Additional Inherited Members
Protected Attributes inherited from libmspub::ImgFill
unsigned | m_imgIndex
int | m_rotation
Protected Attributes inherited from libmspub::Fill
const MSPUBCollector * | m_owner

## Constructor & Destructor Documentation

libmspub::PatternFill::PatternFill | ( | unsigned | imgIndex,
|  | const MSPUBCollector * | owner,
|  | ColorReference | fg,
|  | ColorReference | bg
| ) |  |

libmspub::PatternFill::PatternFill | ( | const PatternFill & |  | ) |
| inlineprivate

## Member Function Documentation

void libmspub::PatternFill::getProperties | ( | librevenge::RVNGPropertyList * | out | ) | const
| virtual

Reimplemented from libmspub::ImgFill.

PatternFill& libmspub::PatternFill::operator= | ( | const ImgFill & |  | ) |
| private

## Member Data Documentation

ColorReference libmspub::PatternFill::m_bg
| private

Referenced by getProperties().

ColorReference libmspub::PatternFill::m_fg
| private

Referenced by getProperties().

The documentation for this class was generated from the following files:

- Fill.h
- Fill.cpp